
function Ak=compute_Ak_lorenz(gamma_0,gamma_k)
%compute Fourier coefficients Dfk k=-m..m of DF(gamma(theta))
global sigma beta rho
% Const=[-sigma, sigma, 0;...                                                %Constant term of the Jacobian
%           rho, -1,    0;...
%             0,  0,   -beta];
maxgammak=size(gamma_k,2);
A_0=[-sigma, sigma, 0;...                                                %Constant term of the Jacobian
        rho, -1,    0;...
          0,  0,   -beta]+[0,0,0;...
                          -gamma_0(3),0,-gamma_0(1);...
                           gamma_0(2), gamma_0(1),0];
A_k=zeros(3,3,maxgammak);       
A_k(2,1,:)=-gamma_k(3,:);
A_k(2,3,:)=-gamma_k(1,:);
A_k(3,1,:)=gamma_k(2,:);
A_k(3,2,:)=gamma_k(1,:);

Ak=cat(3,flipdim(conj(A_k),3),A_0,A_k);