function Ak=compute_Ak_KS(gamma_0,gamma_k)
global nu
N=size(gamma_k,1);


m=size(gamma_k,2);
gamma=[gamma_0,gamma_k];
Ak=zeros(N,N,m+1);
for n1=1:N
    for n2=1:N
        Ak(n1,n2,1)=(n1==n2)*(n1^2-nu*n1^4);
       if abs(n1-n2)>=1 && abs(n1-n2)<=N         
           Ak(n1,n2,:)=Ak(n1,n2,:)-2*n1*reshape(sign(n1-n2)*gamma(abs(n1-n2),:),1,1,[]);
       end
       if n1+n2<=N
          Ak(n1,n2,:)=Ak(n1,n2,:)+2*n1*reshape(gamma(n1+n2,:),1,1,[]);
       end
    end
    
end
Ak=cat(3,flipdim(conj(Ak(:,:,2:end)),3),Ak);


