function [s]=twoDquadratic_sumFFT_complex_KS(c)

[m1,m2]=size(c);

delta=2;

C1=[flipdim(flipdim(conj(c(2:m1,2:m2)),1),2),flipdim(c(2:m1,1),1),-flipdim(conj(c(2:m1,2:m2)),1)];
C2=[flipdim(-c(1,2:m2),2),c(1,1),c(1,2:m2)];
C3=[-flipdim(c(2:m1,2:m2),2),c(2:m1,1:m2)];
C=[C1;C2;C3];

tC1=zeros(m1,4*m2-1);
tC2=[zeros(2*m1-1,m2),C,zeros(2*m1-1,m2)];
tC3=zeros(m1,4*m2-1);
tC=[tC1;tC2;tC3];

W_C=ifft2(ifftshift(tC));

S=(2*delta*m1-1)*(2*delta*m2-1)*fftshift(fft2(W_C.*W_C));

s=S(2*m1:3*m1-1,2*m2:3*m2-1);

